# IPFS Hash

{% hint style="info" %}
For a reliable IPFS upload use a dedicated client and pass the returned CID to `mintGrantBurnPKP`&#x20;
{% endhint %}

Upload your Lit Action Code to IPFS through your preferred client. If you have already uploaded your Lit Action to IPFS and only need retrieve the CID, invoke `getIPFSHash`.&#x20;

{% code overflow="wrap" fullWidth="true" %}

```typescript
const ipfsCID = await newCircuit.getIPFSHash(litActionCode);
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.irrevocable.dev/sdk-reference/ipfs-hash.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
